from sys import argv
import math
import sph

script, fn = argv

fp = open(fn, 'r')
for line in fp:
    lat1, lon1, azi, dist = map(float, line.split(" "))
    lat1 = math.radians(lat1)
    lon1 = math.radians(lon1)
    azi = math.radians(azi)
    dist = dist / sph.a_e
    lat2, lon2 = sph.direct(lat1, lon1, dist, azi)
    dist, azi2 = sph.inverse(lat2, lon2, lat1, lon1)
    print "%f %f %f" % (math.degrees(lat2), math.degrees(lon2), math.degrees(azi2))
fp.close()
